Project

General

Profile

Bug #6137

Build in WSL2 failing on nasm?

Added by Kevin Ingwersen 10 months ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Start date:
2022-02-12
Due date:
% Done:

0%

Estimated time:
Found in version:
git: c7b713edb0ae4fee6acbd65c27017cb01c12348a
Affected Versions:

Description

Hello.

This might not be directly related to TVHeadend, however I thought I might as well post it here. Maybe you can point me in the right direction?

After cloning current master from Github and using ./configure --enable-avahi, I get the following output:

@nasm --defsym ENABLE_PIC=1 --defsym PIC=1 -f elf64 does not support section alignment (nasm <=2.08?)

Configuration failed. This could reflect a misconfiguration of your
toolchains, improper options selected, or another problem. If you
don't see any useful error messages above, the next step is to look
at the configure error log file (config.log) to determine what
configure was trying to do when it died.
make1: * [Makefile.ffmpeg:335: /opt/tvheadend/build.linux/ffmpeg/libvpx-1.9.0/.tvh_build] Error 1
make1: Leaving directory '/opt/tvheadend'
make: *
[Makefile:853: /opt/tvheadend/build.linux/ffmpeg/build/ffmpeg/lib/libavcodec.a] Error [email protected]

I have no experience with building ffmpeg from source, let alone verifying if the bundled version is up to date. Hence, my need for a little pointer :)

My system, according to neofetch:

OS: Debian GNU/Linux 10 (buster) on Windows 10 x86_64
Kernel: 5.10.60.1-microsoft-standard-WSL2
CPU: AMD Ryzen 9 3900X 12- (24)
3.800GHz
GPU: Microsoft Corporation Device 008e
Memory: 1079MiB / [email protected]

(Note: GPU is actually a 2080 TI, but I haven't bothered to set up the new shiny drivers that would potentially allow me to use my GPU and adjanced libraries within WSL.)

From what I understand, something in the configuration for running nasm isn't correct, which is why it fails. Can I edit that configuration?

The only reason I am building from source is because the installation via APT is not working (see #6131).

Thank you very much in advance and have a great day!

Kind regards,
Ingwie

Also available in: Atom PDF